Can't Install .deb Package

New to Debian (Or Linux in general)? Ask your questions here!

Re: Can't Install .deb Package

Postby pcalvert » 2018-05-21 06:59

There's a cherrytree package in Debian Sid.

This tutorial may be helpful:
Howto: Set up and Maintain a Mixed Testing/Unstable System

Since the tutorial is quite old, some adjustments will be necessary.

Phil
“Property is the fruit of labor; property is desirable; it is a positive good
in the world. That some should be rich shows that others may become
rich, and hence is just encouragement to industry and enterprise.”
— Abraham Lincoln
pcalvert
 
Posts: 1794
Joined: 2006-04-21 11:19
Location: Sol Sector

Re: Can't Install .deb Package

Postby llewellen » 2018-05-21 14:00

@pcalvert: Yes Cherrytree is in Sid and also in Stretch but for some reason it doesn't show up in the package list for testing.

Thank you for the "how to" link on mixed testing/unstable systems. Since I'm a neophyte, I will have to re-read it a few times to absorb it but it does look like something that will be very useful for me. Unfortunately, Vivaldi browser is not in any of the debian package lists, not even in unstable.
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby Wheelerof4te » 2018-05-21 14:11

llewellen wrote:Unfortunately, Vivaldi browser is not in any of the debian package lists, not even in unstable.

For the same reason Google Chrome or Opera Browser aren't: licence.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Can't Install .deb Package

Postby llewellen » 2018-05-21 14:16

Wheelerof4te wrote:
llewellen wrote:Unfortunately, Vivaldi browser is not in any of the debian package lists, not even in unstable.

For the same reason Google Chrome or Opera Browser aren't: licence.


I understand that. I thought it might show up in the "non-free" listing.
It is not that I am mad; it's only that my head is different from yours - Diogenes of Sinope
llewellen
 
Posts: 88
Joined: 2018-04-08 05:21
Location: Vancouver Island, Canada

Re: Can't Install .deb Package

Postby stevepusser » 2018-05-21 18:35

Debian's usual policy is that if they can't build something like a browser from source, they won't have it in the repo.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10.6, Pale Moon 28.1.0, wine-staging 3.16, qBittorrent 4.1.3, Linux kernel 4.18.8, virtualbox 5.2.18
User avatar
stevepusser
 
Posts: 9920
Joined: 2009-10-06 05:53

Re: Can't Install .deb Package

Postby L_V » 2018-08-24 09:15

Stretch and SID provide Cherrytree 37.6-1, although the deb package proposed @ http://www.giuspen.com/cherrytree/ is cherrytree_0.38.5-0_all.deb which cannot be installed in testing/SID due to pygtk dependency problems:
https://tracker.debian.org/pkg/cherrytree
L_V
 
Posts: 771
Joined: 2007-03-19 09:04

Re: Can't Install .deb Package

Postby stevepusser » 2018-08-25 17:27

So it's not really a Cherrytree issue; it comes down to as why that python dependency is no longer in testing. Usually Debian has good reasons for that, such as when they remove the unsupported Qt 3 libraries and packages.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: GIMP 2.10.6, Pale Moon 28.1.0, wine-staging 3.16, qBittorrent 4.1.3, Linux kernel 4.18.8, virtualbox 5.2.18
User avatar
stevepusser
 
Posts: 9920
Joined: 2009-10-06 05:53

Previous

Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 2 guests

fashionable